TRUNCATE TABLE dbo.Hodnoty_DUPONT

INSERT INTO dbo.Hodnoty_DUPONT
select uk.nazev_ukazatele,
       o.Rok  as Rok,
       o.Mesic as Mesic,
       sum(pol.castka_kc * sl.znamenko) as Castka

from dbo.Ukazatele uk join dbo.Slozeni_ukazatele sl on uk.kod_ukazatele = sl.kod_ukazatele join
     dbo.u_polozky_dokladu pol on pol.cislo_uctu like sl.cislo_uctu COLLATE Czech_CI_AS  and pol.strana_uctu = sl.strana COLLATE Czech_CI_AS join 
     dbo.u_hlavicka_dokladu hl on pol.cislo_ucet_dokladu = HL.cislo_ucet_dokladu  join
     dbo.c_uctovy_rozvrh ur on ur.cislo_uctu = pol.cislo_uctu,
     dbo.OBDOBI o

where uk.typ = 'I' and datum_zauctovani is not null and 
     (DATEPART(yy,hl.datum_zauctovani) = o.rok) and DATEPART(MM,hl.datum_zauctovani) <= o.Mesic
      
group by uk.Nazev_ukazatele, uk.Typ, o.rok, o.mesic

UNION ALL

select uk.nazev_ukazatele,
       o.Rok  as Rok,
       o.Mesic as Mesic,
       sum(pol.castka_kc * sl.znamenko) as Castka

from dbo.Ukazatele uk join dbo.Slozeni_ukazatele sl on uk.kod_ukazatele = sl.kod_ukazatele join
     dbo.u_polozky_dokladu pol on pol.cislo_uctu like sl.cislo_uctu COLLATE Czech_CI_AS  and pol.strana_uctu = sl.strana COLLATE Czech_CI_AS join 
     dbo.u_hlavicka_dokladu hl on pol.cislo_ucet_dokladu = HL.cislo_ucet_dokladu  join
     dbo.c_uctovy_rozvrh ur on ur.cislo_uctu = pol.cislo_uctu,
     dbo.OBDOBI o

where uk.typ = 'S' and datum_zauctovani is not null and 
     ((DATEPART(yy,hl.datum_zauctovani) < o.rok) or (DATEPART(yy,hl.datum_zauctovani) = o.rok) and DATEPART(MM,hl.datum_zauctovani) <= o.Mesic)
      
group by uk.Nazev_ukazatele, uk.Typ, o.rok, o.mesic



